package cn.axzo.msg.center.mq;

/**
 * @author yanglin
 */
public enum ConsumerIsolation {

    TODO_SYNC_CARD_BIZ,
    TODO_SYNC_CARD_FLOW,
    TODO_PRESET_BUTTON_CLICKED_SYNC_CARD,
    CARD_PRESET_BUTTON_CLICKED_SYNC_TODO

    ;

    private static final ThreadLocal<ConsumerIsolation> INSTANCE = new ThreadLocal<>();

    public static void setIsolation(ConsumerIsolation isolation) {
        INSTANCE.set(isolation);
    }

    public static ConsumerIsolation getIsolation() {
        return INSTANCE.get();
    }

    public static void clearIsolation() {
        INSTANCE.remove();
    }

}